Debian Bug report logs - #379380
please add option to ignore binary files in diff

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: martin f krafft <madduck@debian.org>

Date: Sun, 23 Jul 2006 09:04:32 UTC

Severity: wishlist

Tags: patch

Found in version diffstat/1.41-1

Fixed in version diffstat/1.45-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Forwarded to dickey@his.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#379380; Package diffstat. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please add option to ignore binary files in diff
Date: Sun, 23 Jul 2006 09:48:57 +0100
[Message part 1 (text/plain, inline)]
Package: diffstat
Version: 1.41-1
Severity: wishlist

Please add an option to ignore lines like

  Binary files a/foo and b/foo differ

which will result in 

  foo  |binary

-- 
Please do not send copies of list mail to me; I read the list!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#379380; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <haphazard@kc.rr.com>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #8 received at 379380@bugs.debian.org (full text, mbox):

From: Greg Norris <haphazard@kc.rr.com>
To: 379380@bugs.debian.org
Subject: Re: Bug#379380: please add option to ignore binary files in diff
Date: Thu, 30 Aug 2007 23:03:59 -0500
[Message part 1 (text/plain, inline)]
I've sent the attached patch, which implements this request vi the "-b" 
option, upstream for review.  If I haven't heard back in the next week 
or two, I'll probably go ahead and include it in the next upload.
[diffstat.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Greg Norris <haphazard@kc.rr.com> to control@bugs.debian.org. (Fri, 31 Aug 2007 04:12:03 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to dickey@his.com. Request was from Greg Norris <haphazard@kc.rr.com> to control@bugs.debian.org. (Fri, 31 Aug 2007 04:12:04 GMT) Full text and rfc822 format available.

Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 379380-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 379380-close@bugs.debian.org
Subject: Bug#379380: fixed in diffstat 1.45-1
Date: Thu, 06 Sep 2007 02:02:02 +0000
Source: diffstat
Source-Version: 1.45-1

We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.45-1.diff.gz
  to pool/main/d/diffstat/diffstat_1.45-1.diff.gz
diffstat_1.45-1.dsc
  to pool/main/d/diffstat/diffstat_1.45-1.dsc
diffstat_1.45-1_i386.deb
  to pool/main/d/diffstat/diffstat_1.45-1_i386.deb
diffstat_1.45.orig.tar.gz
  to pool/main/d/diffstat/diffstat_1.45.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379380@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 05 Sep 2007 20:22:55 -0500
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.45-1
Distribution: unstable
Urgency: low
Maintainer: Greg Norris <adric@debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 379380
Changes: 
 diffstat (1.45-1) unstable; urgency=low
 .
   * New upstream release.
     - Added the "-b" option, which causes lines matching
       "Binary files XXX and YYY differ" in the diff to be ignored.
       (closes: #379380)
Files: 
 6940ba8cc4a69fd035990aef91f0d3d4 559 devel optional diffstat_1.45-1.dsc
 cfe06ffcdbeaaa2fd296db867157ef78 104706 devel optional diffstat_1.45.orig.tar.gz
 dbcf29db76578cc174b4846430cd6ccf 3772 devel optional diffstat_1.45-1.diff.gz
 82743eaa8f6c48562fed79939ca771a1 21014 devel optional diffstat_1.45-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG31lJgrEMyr8Cx2YRAvIMAJ4qA4vHoXIuTUEqp7CPg4ANBtewLACeMqnh
D+19u9CCPhwTyKOMOqwTvbk=
=MnVZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Oct 2007 07:48:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:17:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.